Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004379OCamlOCaml generalpublic2007-09-05 11:592010-04-29 14:26
Reporteridadesub 
Assigned Toertai 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.10+dev 
Summary0004379: windows binary ocamlbuild cannot build plugins
Descriptionocamlbuild uses "ocamlbuild -where" to find the libraries to link against myocamlbuild.ml, but on the binary windows version of ocaml, it will always fail because, for some reason, ocamlbuild does not use %OCAMLLIB% to find the ocaml libraries, but hard codes them to a path specified at build time. Mine is currently hardcoded to "/ocamlbuildFiles\Objective Caml\lib".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004316)
ertai (developer)
2007-11-14 20:04

Does using -install-lib-dir solve your problem?
(0004323)
mwipliez (reporter)
2007-11-18 20:13

It does: (I had the same problem, and I solved it using -install-lib-dir)
C:\>ocamlbuild -classic-display -install-lib-dir "C:\Program Files\Objective Caml\lib\ocamlbuild" -where
C:\Program Files\Objective Caml\lib\ocamlbuild
(0004324)
ertai (developer)
2007-11-19 09:54

However don't worry, the OCAMLLIB variable will be taken in account in future releases.
(0004350)
ertai (developer)
2007-11-26 14:24

Thanks for the report. This is now fixed in the CVS (both in trunk and release310 branch).

- Issue History
Date Modified Username Field Change
2007-09-05 11:59 idadesub New Issue
2007-11-10 14:53 xleroy Status new => assigned
2007-11-10 14:53 xleroy Assigned To => ertai
2007-11-14 20:04 ertai Note Added: 0004316
2007-11-18 20:13 mwipliez Note Added: 0004323
2007-11-19 09:54 ertai Note Added: 0004324
2007-11-26 14:24 ertai Note Added: 0004350
2007-11-26 14:24 ertai Status assigned => resolved
2007-11-26 14:24 ertai Resolution open => fixed
2007-11-26 14:24 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker